<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(url('js/tinymce/tinymce.min.js')); ?>"></script>
<script type="text/javascript">
tinymce.init({
    selector: '.textarea',
	plugins: 'image code link lists',
	images_upload_url: '/admin/cms/upload-image',
	toolbar: 'code | formatselect fontsizeselect | insertfile a11ycheck | numlist bullist | bold italic | forecolor backcolor | template codesample | alignleft aligncenter alignright alignjustify | bullist numlist | link image tinydrive',

});
</script>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('section_title'); ?>
<strong>Pages Manager</strong>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('section_body'); ?>
<table class="table dataTable">
<thead>
<tr>
<th>ID</th>
<th>Title</th>
<th>Updated At</th>
<th>Actions</th>
</tr>
</thead>
<tbody>
<?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<tr>
<td><?php echo e($p->id); ?></td>
<td><a href="<?php echo e(App\Page::slug($p)); ?>" target="_blank"><?php echo e($p->page_title); ?></a></td>
<td><?php echo e($p->updated_at); ?></td>
<td>
	<a href="/admin/cms-edit/<?php echo e($p->id); ?>"><i class="glyphicon glyphicon-edit"></i></a> 
	<a href="/admin/cms-delete/<?php echo e($p->id); ?>" data-method="delete" data-confirm="Are you sure?"><i class="glyphicon glyphicon-remove"></i></a> 
</td>
</tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</tbody>
</table>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('extra_bottom'); ?>
<?php if(count($errors) > 0): ?>
    <div class="alert alert-danger">
        <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
<?php endif; ?>

<div class="box">
<div class="box-header with-border"><strong>Create Page</strong></div>
<div class="box-body">
<form method="POST">
<?php echo e(csrf_field()); ?>

<dl>
<dt>Page Title</dt>
<dd><input type="text" name="page_title" class="form-control" required="required" value="<?php echo e(old('page_title')); ?>"></dd>
<br>
<dt>Page Content</dt>
<dd><textarea name="page_content" class="textarea form-control" rows="20"><?php echo old('page_content'); ?></textarea></dd>
<dt>&nbsp;</dt>
<dd><input type="submit" name="sb_page" class="btn btn-primary" value="Save"></dd>
</dl>
</form>
</div>
<div class="box-footer"></div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/justfansli.com/resources/views/admin/pages.blade.php ENDPATH**/ ?>